package org.rcisoft.business.memLeaveMessage.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;
import org.rcisoft.core.entity.CyIdIncreNotDataEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
* Created with cy on 2024年12月20日 下午3:35:34.
*/
@Data
@TableName("mem_user_leave_message")
public class MemLeaveMessage extends CyIdIncreNotDataEntity<MemLeaveMessage> {

     /**
      * 创建人
      */
     private Integer createBy;

     /**
      * 修改人
      */
     private Integer updateBy;

     /**
      * @desc 创建时间
      * @column create_date
      * @default
      */
     @JsonFormat(
             pattern = "yyyy-MM-dd HH:mm:ss"
     )
     @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date createDate;

     /**
      * @desc 创建时间
      * @column update_date
      * @default
      */
     @JsonFormat(
             pattern = "yyyy-MM-dd HH:mm:ss"
     )
     @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date updateDate;

     /**
      * 目标id
      */
     private Integer targetId;

     /**
      * 留言内容
      */
     private String content;

     /**
      * 目标头像id
      */
     @TableField(exist = false)
     private Integer avatar;

     /**
      * 目标会员昵称
      */
     @TableField(exist = false)
     private String memNickName;

     /**
      * 创建人昵称
      */
     @TableField(exist = false)
     private String createName;
     /**
      * 留言删除状态
      * 0未删除，1本人已删除，2对方已删除，3双方都删除了
      */
     @TableField(exist = false)
     private Integer delUser;

     /**
      * 是否花费金币发送留言
      * 1花费  0花费
      */
     @TableField(exist = false)
     private String isPay;

     /**
      * 结束时间
      */
     @JsonIgnore
     @TableField(exist = false)
     private String endTime;

     /**
      * 开始时间
      */
     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     /**
      * 会员wxOpenid
      */
     @TableField(exist = false)
     private String wxOpenid;

     /**
      * 发送人会员编号
      */
     @TableField(exist = false)
     private String createMemCode;

     /**
      * 接收人会员编号
      */
     @TableField(exist = false)
     private String targetMemCode;

     /**
      * 拉黑人id
      */
     @TableField(exist = false)
     private Integer blackUser;
}

